package com.fs.erp.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * jst货到付款推送
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FsJstCodPush {
    /**
     * 主键，自增
     */
    private Long id;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 售后id
     */
    private String afterSaleId;

    /**
     * 0创建订单 1后续金额
     */
    private String type;

    /**
     * 任务状态：0-待处理，1-成功，2-失败，3-正在处理，4-已取消
     */
    private Integer taskStatus;

    /**
     * 重试次数，默认为 0
     */
    private Integer retryCount;

    /**
     * 上次执行时间，用于记录任务执行的最后时间
     */
    private LocalDateTime lastExecuteTime;

    /**
     * 记录创建时间
     */
    private LocalDateTime createTime;

    /**
     * 记录更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 调用接口时传入的参数（JSON 格式）
     */
    private String params;

    /**
     * 调用接口返回的结果（JSON 格式）
     */
    private String result;

    /**
     * 错误信息（记录失败原因）
     */
    private String errorMessage;
}
