package com.fs.erp.dto.df;

import lombok.Data;

import java.util.List;

/**
 * 外部订单请求实体类
 */
@Data
public class ExternalOrderRequestVo {
    /**
     * 代服系统登录账号
     */
    private String loginAccount;

    /**
     * 订单下单后异步通知地址（非必填）
     */
    private String callBackUrl;

    /**
     * 订单号（必填，不能重复）
     */
    private String orderNumber;

    /**
     * 客户姓名（商户专业版有，入门版没有）
     */
    private String customerName;

    /**
     * 合计金额，保留两位小数（商户专业版有，入门版没有）
     */
    private Double amount;

    /**
     * 订单付款方式（必填）
     * 1: 在线支付
     * 2: 货到付款
     */
    private Integer orderPayMethod;

    /**
     * 代收金额，只保留两位小数（如果订单付款方式为货到付款，代收金额必须大于0）
     */
    private Double collectingMoney;

    /**
     * 保价，只保留两位小数
     */
    private Double insuredPrice;

    /**
     * 包装服务费，只保留两位小数
     */
    private Double individuationPacking;

    /**
     * 是否通知上门揽收（1是 0否）
     */
    private Integer isDoCall;

    /**
     * 物流产品编码（必填，参照3.1.5产品编码映射表）
     */
    private String expressProductCode;

    /**
     * 月结卡号
     */
    private String monthlyCard;

    /**
     * 托寄物（入门版有，专业版没有）
     */
    private String consignment;

    /**
     * 托寄物数量（入门版有且必填，专业版没有）
     */
    private Integer consignmentNumber;

    /**
     * 包裹重量，默认0.5，保留2位
     */
    private Double parcelWeight;

    /**
     * 包裹数量，默认1
     */
    private Integer parcelQuantity;

    /**
     * 代收卡号（如果订单付款方式为货到付款，代收卡号必填）
     */
    private String collectionCardNumber;

    /**
     * 签回单类型
     * 1: 签名
     * 2: 盖章
     * 3: 登记身份证
     * 4: 身份证复印件
     */
    private Integer signBackType;

    /**
     * 超长超重服务费，只保留两位小数
     */
    private Double overweightServiceFee;

    /**
     * 订单备注
     */
    private String remark;

    /**
     * 买家留言
     */
    private String buyerMessage;

    /**
     * 卖家留言
     */
    private String sellerMessage;

    /**
     * 自定义字段一
     */
    private String customField1;

    /**
     * 自定义字段二
     */
    private String customField2;

    /**
     * 仓库名称（商户专业版有，入门版没有）
     */
    private String warehouseName;

    /**
     * 流向
     */
    private String flowDirection;

    /**
     * 邮费，只保留两位小数
     */
    private Double postAge;

    /**
     * 是否自取（1是 0否）
     */
    private Integer selfPickup;

    /**
     * 是否保鲜服务（1是 0否）
     */
    private Integer freshServices;

    /**
     * 商品规格（商户专业版没有，入门版有）
     */
    private String attributeNames;

    /**
     * 寄件人
     */
    private String senderName;

    /**
     * 寄件人手机
     */
    private String senderPhone;

    /**
     * 寄件人电话
     */
    private String senderTelephone;

    /**
     * 寄件人公司
     */
    private String senderCompany;

    /**
     * 寄件人省（必填，参照3.1.9行政区规范标准）
     */
    private String senderProvince;

    /**
     * 寄件人市（必填，参照3.1.9行政区规范标准）
     */
    private String senderCity;

    /**
     * 寄件人区（必填，参照3.1.9行政区规范标准）
     */
    private String senderDistrict;

    /**
     * 寄件人地址
     */
    private String senderAddress;

    /**
     * 收件人
     */
    private String receiverName;

    /**
     * 收件人手机
     */
    private String receiverPhone;

    /**
     * 收件人电话
     */
    private String receiverTelephone;

    /**
     * 收件人公司
     */
    private String receiverCompany;

    /**
     * 收件人省（必填，参照3.1.9行政区规范标准）
     */
    private String receiverProvince;

    /**
     * 收件人市（必填，参照3.1.9行政区规范标准）
     */
    private String receiverCity;

    /**
     * 收件人区（必填，参照3.1.9行政区规范标准）
     */
    private String receiverDistrict;

    /**
     * 收件人地址
     */
    private String receiverAddress;

    /**
     * 物流付款方式（必填）
     * 1: 寄付月结
     * 2: 寄付现结
     * 3: 收方付
     * 4: 第三方付
     */
    private Integer expressPayMethod;

    /**
     * 附加数据
     */
    private String attach;

    /**
     * 订单SKU集合
     */
    private List<ExteriorOrderSkuVo> orderSkus;


}
